Package org.eclipse.cdt.core.dom.ast

# Class DOMException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.cdt.core.dom.ast.DOMException

All Implemented Interfaces:
  `Serializable`

public class DOMException extends Exception
This is the general purpose exception that is thrown for resolving semantic aspects of an illegal binding.

See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`DOMException(IProblemBinding problem)`

## Method Summary

Modifier and Type
Method
Description
`IProblemBinding`
`getProblem()`
Returns the problem associated w/this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DOMException

public DOMException(IProblemBinding problem)

Parameters:
  `problem` - the binding for throwing

## Method Details

### getProblem

public IProblemBinding getProblem()
Returns the problem associated w/this exception.

Returns:
  problem